LongArrayPutAtMetaMethod (Groovy 4.0.10)

Package: org.codehaus.groovy.runtime.dgmimpl.arrays

## [Java] Class LongArrayPutAtMetaMethod

- org.codehaus.groovy.runtime.dgmimpl.arrays.LongArrayPutAtMetaMethod

-     public class LongArrayPutAtMetaMethod
      extends ArrayPutAtMetaMethod

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class ArrayMetaMethod` | `INTEGER_CLASS, INTEGER_CLASS_ARR`
    `class MetaMethod` | `EMPTY_ARRAY`
    `class ParameterTypes` | `isVargsMethod, nativeParamTypes, parameterTypes`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `LongArrayPutAtMetaMethod()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public CallSite` | `createPojoCallSite(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object receiver, Object[] args)`
    `` | `public final CachedClass` | `getDeclaringClass()`
    `` | `public Object` | `invoke(Object object, Object[] args)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ArrayPutAtMetaMethod` | `getName, getReturnType`
    `class ArrayMetaMethod` | `getModifiers, normaliseIndex`
    `class CallSiteAwareMetaMethod` | `createPojoCallSite`
    `class MetaMethod` | `checkParameters, clone, doMethodInvoke, equal, equal, getDeclaringClass, getDescriptor, getModifiers, getMopName, getName, getReturnType, getSignature, invoke, isAbstract, isCacheable, isDefault, isMethod, isPrivate, isProtected, isPublic, isSame, isStatic, processDoMethodInvokeException, toString`
    `class ParameterTypes` | `coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getPT, getParameterTypes, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, isVargsMethod, setParametersTypes`

- - ### Constructor Detail

    - #### public LongArrayPutAtMetaMethod()

  - ### Method Detail

    - #### @Override
      public CallSite createPojoCallSite(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object receiver, Object[] args)

    - #### @Override
      public final CachedClass getDeclaringClass()

    - #### @Override
      public Object invoke(Object object, Object[] args)